Subject: Re: [PATCH 0/3] Add support for rx flow hash configuration in a network device

From: Roland Dreier <[email-masked]>
Date: Mon, 30 Jun 2008 20:33:45 -0700

> We've discussed this before and Jeff Garzik and I already told
 > everyone that we want to make this configurable and ethtool is
 > the way to do it no matter how adhoc and device specific the
 > interfaces might end up being.

I think it was a few weeks ago that Jeff said:

  I know user interfaces are annoying because you have to think about 
  chips other than your own, but that's life.  Other hardware vendors have 
  to do it too.

  Letting each driver have a different user interface is /unfriendly/ to 
  both developers users.

I guess as long as you stick an "ethtool" in front of the different
interfaces it all becomes OK.

 - R.